FROM ghcr.io/mend/renovate-ce:9.1.1-full@sha256:ccfdf8eefb15c09b35eb7734c607cfdc397839dde5e2a23be945bb8f49c6b0fc

ENV MEND_RNV_ACCEPT_TOS=y
ENV MEND_RNV_PLATFORM=gitlab
ENV MEND_RNV_ENDPOINT=https://gitlab.com/api/v4/
ENV MEND_RNV_CRON_JOB_SCHEDULER='0 * * * *'
ENV RENOVATE_EXTRA_FLAGS=--autodiscover=true --include-forks=true

ARG MEND_RNV_LICENSE_KEY
ARG MEND_RNV_GITLAB_PAT
ARG GITHUB_COM_TOKEN
ARG MEND_RNV_WEBHOOK_SECRET

ENV GOPATH=/tmp/renovate/go

EXPOSE 8080
